=== debian/control ===
Source: ros-one-laser-filters
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-filters, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs, ros-one-tf
Homepage: http://ros.org/wiki/laser_filters
Standards-Version: 3.9.2

Package: ros-one-laser-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-dynamic-reconfigure, ros-one-filters, ros-one-laser-geometry, ros-one-message-filters, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf
Description: Assorted filters designed to operate on 2D planar laser scanners, which use the sensor_msgs/LaserScan type.
