## ros-one-laser-filters 1.9.1-0noble.20251023.1103

=== debian/changelog ===
ros-one-laser-filters (1.9.1-0noble.20251023.1103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jon Binney <jon.binney@gmail.com>  Thu, 23 Oct 2025 11:03:10 +0000

ros-one-laser-filters (1.9.1-0noble) noble; urgency=high

  * Fix polygon padding on filter load
  * Added nodelet for scan filtering pipeline
  * Pass in public node handle from nodelet to allow for correct topic remapping
  * Do not force obsolete C++11 standard
  * Boxfilter dynamic reconfigure for noetic devel
  * Make transform time-out configurable
  * Do not look for specific time in static filter
  * Added examples for InterpolationFilter and LaserScanAngularBoundsFilter
  * Added example config and launch file for scan blob filter
  * Add static polygon filter
  * Improve shadov filter and detector performance
  * Speed up speckle filter implementation
  * Contributors: Bohdan Yarema, Erwin Bonsma, Giorgos Tsamis, Jon Binney, Lars, Lucas Walter, Michael Ripperger, johntgz, rickvanosch, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Wed, 17 Jul 2024 00:00:00 -0000

ros-one-laser-filters (1.9.0-0noble) noble; urgency=high

  * change_access specifier kinect
  * Added nodelet version of scan_to_cloud_filter_chain .
  * fix(speckle_filter): Possible segfault when ranges size was smaller than filter window
    formatting
  * Lots of fixes to CI
  * scan_to_cloud_filter_chain: Make cloud channels configurable
  * Fixed naming of laser filter plugins in yaml files
  * Add circle sector sharp filter
  * Added DynamicReconfigure for RangeFilter
  * Added support for laserscanners that spin clockwise
  * Added nodelet version of scan_to_cloud_filter_chain .
  * Contributors: Arjanboeve, Eric Wiener, Jimmy F. Klarke, Jonathan Binney, Martin Pecka, Rein Appeldoorn, YoshuaNava, renan028, teundeplanque

 -- Jon Binney <jon.binney@gmail.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-laser-filters (1.8.11-0noble) noble; urgency=high

  * Merge pull request #97 <https://github.com/ros-perception/laser_filters/issues/97> from eurogroep/feat/speckle-filter-for-noise-removal
  * Merge pull request #96 <https://github.com/ros-perception/laser_filters/issues/96> from eurogroep/feat/intensity-filter-dynamic-reconfigure-and-optionally-override-intensity-values
    feat(IntensityFilter): Dynamic reconfigure and optionally override intensity
  * Merge pull request #3 <https://github.com/ros-perception/laser_filters/issues/3> from nlimpert/nlimpert/speckle-filter-radius-outlier-merge
    Merge distance based speckle filter with RadiusOutlier removal
  * Contributors: Jonathan Binney, Nicolas Limpert, Rein Appeldoorn

 -- Jon Binney <jon.binney@gmail.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-one-laser-filters (1.8.10-0noble) noble; urgency=high

  * radius_outlier_filter: new filter for radius based outlier removal
    Add a new filter to remove measurements that do not have a number of
    neighbors within a certain range.
  * Contributors: Jonathan Binney, Nicolas Limpert

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-laser-filters (1.8.9-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning
  * Polygon filter
  * Add dynamic reconfigure for scan shadows filter
  * Parameter to remove shadow start point in scan shadows filter
  * Contributors: Jonathan Binney, Rein Appeldoorn, Yannick_de_Hoop, ahcorde

 -- Jon Binney <jon.binney@gmail.com>  Sun, 05 Apr 2020 00:00:00 -0000

ros-one-laser-filters (1.8.8-0noble) noble; urgency=high

  * Merge pull request #83 <https://github.com/ros-perception/laser_filters/issues/83> from remco-r/indigo-devel
    [fix] when high fidelity true added laser_max_range_ to projection
  * [fix] when high fidelity true added laser_max_range_ to projection
  * Merge pull request #79 <https://github.com/ros-perception/laser_filters/issues/79> from Jailander/indigo-devel
    Adding invert filter parameter to BOX filter
  * Merge pull request #80 <https://github.com/ros-perception/laser_filters/issues/80> from k-okada/indigo-devel
    Add scan blob filters
  * add scan blob filters
  * Merge pull request #72 <https://github.com/ros-perception/laser_filters/issues/72> from ms-iot/windows_port_tests_fix
    [Windows][indigo] Use ${GTEST_LIBRARIES} for more portable gtest library linkage.
  * Adding invert filter parameter to BOX filter
  * Remove extra changes.
  * windows bring up
  * Contributors: Jonathan Binney, Kei Okada, Remco, Sean Yen, jailander

 -- Jon Binney <jon.binney@gmail.com>  Thu, 07 Nov 2019 00:00:00 -0000

ros-one-laser-filters (1.8.7-0noble) noble; urgency=high

  * Merge pull request #77 <https://github.com/ros-perception/laser_filters/issues/77> from bionade24/indigo-devel
    Removed boost signals from CMakeLists.txt
  * Removed boost signals from CMakeLists.txt
    With boost=>1.69 there signals isn't available anymore. As it's not necessary, it should be removed to be compatible to all boost versions.
  * Merge pull request #76 <https://github.com/ros-perception/laser_filters/issues/76> from peci1/fix_travis
    Fix Travis and move on to Kinetic and Lunar.
  * Fix Travis and move on to Kinetic and Lunar.
  * Merge pull request #73 <https://github.com/ros-perception/laser_filters/issues/73> from peci1/patch-1
    Added error message when the filter chain failed.
  * Added error message when the filter chain failed.
  * Merge pull request #62 <https://github.com/ros-perception/laser_filters/issues/62> from at-wat/optimize-shadows-filter
    Reduce computation cost of ScanShadowsFilter
  * Merge pull request #63 <https://github.com/ros-perception/laser_filters/issues/63> from procopiostein/indigo-devel
    set values for variables that could be used uninitialized
  * Add some comments to ScanShadowDetector
  * set values for variables that could be used uninitialized
  * Reduce computation cost of ScanShadowsFilter
    ScanShadowsFilter required a lot of CPU power mainly due to atan2.

